package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFFC5Data {

    private Map<String, Object> params;
    
    public MWFFC5Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAccountNum() {
        return (String) params.get("RS_ACCOUNT_NUM");
    }

    public String rsAppId() {
        return (String) params.get("RS_APP_ID");
    }

    public String rsLoanNum() {
        return (String) params.get("RS_LOAN_NUM");
    }

    public Double rsMonthlyFeeAct() {
        return (Double) params.get("RS_MONTHLY_FEE_ACT");
    }

    public Double rsMonthlyFeeNew() {
        return (Double) params.get("RS_MONTHLY_FEE_NEW");
    }

    public String rsSalesProdType() {
        return (String) params.get("RS_SALES_PROD_TYPE");
    }

    public String rsFeeTypeNew() {
        return (String) params.get("RS_FEE_TYPE_NEW");
    }

    public String rsFeeTypeAct() {
        return (String) params.get("RS_FEE_TYPE_ACT");
    } 

}
